import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _MTRDataTypeCurrencyStruct } from "./MTRDataTypeCurrencyStruct.js";
export declare class _MTRDataTypePriceStruct extends _NSObject {
    static alloc(): _MTRDataTypePriceStruct;
    static new(): _MTRDataTypePriceStruct;
    init(): _MTRDataTypePriceStruct;
    amount(): _NSNumber;
    setAmount$(value: _NSNumber): void;
    currency(): _MTRDataTypeCurrencyStruct;
    setCurrency$(value: _MTRDataTypeCurrencyStruct): void;
}
export interface _MTRDataTypePriceStruct extends _NSCopying {
}
